%global fontname phetsarath
%global fontconf 67-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.01
Release:        5%{?dist}
Summary:        The font for the Lao language

License:        OFL
URL:            http://www.google.com/fonts/earlyaccess
Source0:        http://themes.googleusercontent.com/static/fonts/earlyaccess/phetsarath/v3/download.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

Obsoletes:      google-phetsarath-fonts < 1.01-3.fc21
Provides:       google-phetsarath-fonts = %{version}-%{release}

%description
This is a font for the Lao language which is commissioned by the Ministry of
Posts and Telecommunications of the Laos government.

%prep
%setup -q -c


%build
# nothing to build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 30 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.01-4
- Add metainfo file to show this font in gnome-software

* Sat Oct 11 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.01-3
- Renamed from google-phetsarath-fonts to phetsarath-fonts

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Nov 23 2013 Parag Nemade <pnemade AT redhat DOT com> - 1.01-1
- Use upstream as google font directory

* Mon Nov 18 2013 Parag Nemade <pnemade AT redhat DOT com> - 1.00-1
- Initial Fedora release.

